com.pb.lisdk.grid

## Class PolygonGridCellCoverageFactory.CoverageResult

- java.lang.Object
- - com.pb.lisdk.grid.PolygonGridCellCoverageFactory.CoverageResult

Enclosing class:
  PolygonGridCellCoverageFactory

    public static class PolygonGridCellCoverageFactory.CoverageResult
    extends Object

A list of grid cells that are either within a polygon or on the border.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `borderCellsCount()`
`int` `containedCellsCount()`
`boolean` `coversEnvelope()` The coverage result was produced using the original polygon or its envelope
`List` `getCells()` Get a list of the grid cells that cover the polygon these cells can be of three types: - are entirely within a polygon.
`int` `getMaxHashLength()` Get the maximum length of the hashes in this result.
`int` `getMinHashLength()` Get the minimum length of the hashes in this result.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCells

    public List getCells()

Get a list of the grid cells that cover the polygon these cells can be of three types: - are entirely within a polygon. - intersect but aren't entirely within a polygon. The intersection of the grid and the original polygon is also returned. - are part of the envelope of the polygon

#### getMinHashLength

    public int getMinHashLength()

Get the minimum length of the hashes in this result.

#### getMaxHashLength

    public int getMaxHashLength()

Get the maximum length of the hashes in this result.

#### coversEnvelope

    public boolean coversEnvelope()

The coverage result was produced using the original polygon or its envelope

#### containedCellsCount

    public int containedCellsCount()

#### borderCellsCount

    public int borderCellsCount()